# set up to use ARM compiler.
CC=@ARM_CC@
CXX=@ARM_CXX@
CPP=@ARM_CPP@
AS=@ARM_AS@
AR=@ARM_AR@
RANLIB=@ARM_RANLIB@

# needed to make sure that distcheck will not fail
# this is not something that is normally important.
EXTRA_DIST=cubicinterpolation.c  g01V2.c  movingaverage.c  pidcontrol.c  s02V2.c  test.c \
	AT91SAM7S256.h  Board.h  cubicinterpolation.h  g01V2.h  movingaverage.h  pidcontrol.h  s02V2.h

if BUILD_FOR_MODULES

AM_CFLAGS=-I$(top_srcdir)/src/libs @MODULE_CFLAGS@
AM_CXXFLAGS=-Wall @MODULE_CXXFLAGS@

BUILDDIR=${subdir}
noinst_PROGRAMS=totalLeg.elf

PROGRAM_TARGET=totalLeg.elf

totalLeg_elf_SOURCES=cubicinterpolation.c  g01V2.c  movingaverage.c  pidcontrol.c  s02V2.c  test.c \
	AT91SAM7S256.h  Board.h  cubicinterpolation.h  g01V2.h  movingaverage.h  pidcontrol.h  s02V2.h
totalLeg_elf_LINK=${CXX} ${LDFLAGS} -o $@
#totalLeg_elf_LDADD=../../libs/liblegsim.a

totalLeg.elf$(EXEEXT): $(totalLeg_elf_OBJECTS) $(totalLeg_elf_DEPENDENCIES) 
	@rm -f totalLeg.elf$(EXEEXT)
	$(totalLeg_elf_LINK) $(MODULE_LDFLAGS) $(totalLeg_elf_OBJECTS) ${totalLeg_elf_LDADD} $(LIBS)
endif


include ${top_srcdir}/makefiles/source.mak